| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
osThreadDef_t Struct Reference

Thread Definition structure contains startup information of a thread. More...

## Data Fields
os_pthread | pthread
| start address of thread function
osPriority | tpriority
| initial thread priority
uint32_t | instances
| maximum number of instances of that thread function
uint32_t | stacksize
| stack size requirements in bytes; 0 is default stack size

## Description

Note
  CAN BE CHANGED: os_thread_def is implementation specific in every CMSIS-RTOS.

## Field Documentation

uint32_t instances

os_pthread pthread

uint32_t stacksize

osPriority tpriority